> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one trace for an agent



## OpenAPI

````yaml /public-openapi.json get /agent/v1/agents/{agent_id}/traces/{trace_id}
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /agent/v1/agents/{agent_id}/traces/{trace_id}:
    get:
      tags:
        - Agent
      summary: Read one trace for an agent
      operationId: agent.getAgentTrace
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
        - name: trace_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agent-TraceDetailView'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_request
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '404':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - not_found
          description: HTTP 404 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    agent-TraceDetailView:
      allOf:
        - $ref: '#/components/schemas/agent-TraceSummaryView'
        - type: object
          required:
            - links
          properties:
            input: {}
            links:
              $ref: '#/components/schemas/agent-TraceLinks'
            output: {}
            parent:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/agent-TraceParentView'
    agent-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    agent-TraceSummaryView:
      type: object
      required:
        - trace_id
        - workspace_id
        - is_complete
        - started_at_unix_seconds
        - trace_status
        - summary
      properties:
        attributes: {}
        duration_ms:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        ended_at_unix_seconds:
          type:
            - integer
            - 'null'
          format: int64
        is_complete:
          type: boolean
        match_confidence:
          type:
            - string
            - 'null'
        metadata: {}
        models:
          type:
            - array
            - 'null'
          items:
            type: string
        providers:
          type:
            - array
            - 'null'
          items:
            type: string
        root_span_id:
          type:
            - string
            - 'null'
        root_span_name:
          type:
            - string
            - 'null'
        run_status:
          type:
            - string
            - 'null'
        service_name:
          type:
            - string
            - 'null'
        started_at_unix_seconds:
          type: integer
          format: int64
        summary:
          $ref: '#/components/schemas/agent-TraceSummaryStats'
        title:
          type:
            - string
            - 'null'
        trace_id:
          type: string
        trace_status:
          $ref: '#/components/schemas/agent-TraceStatus'
        user_id:
          type:
            - string
            - 'null'
        workspace_id:
          type: string
    agent-TraceLinks:
      type: object
      required:
        - spans
        - timeline
        - logs
      properties:
        logs:
          type: string
        spans:
          type: string
        timeline:
          type: string
    agent-TraceParentView:
      type: object
      required:
        - trace_id
        - is_available
      properties:
        confidence:
          type:
            - string
            - 'null'
        identity_version:
          type:
            - string
            - 'null'
        is_available:
          type: boolean
        relationship:
          type:
            - string
            - 'null'
        session_id:
          type:
            - string
            - 'null'
        trace_id:
          type: string
        workspace_id:
          type:
            - string
            - 'null'
    agent-TraceSummaryStats:
      type: object
      required:
        - span_count
        - error_count
      properties:
        error_count:
          type: integer
          format: int64
          minimum: 0
        input_tokens:
          type:
            - integer
            - 'null'
          format: int64
        output_tokens:
          type:
            - integer
            - 'null'
          format: int64
        span_count:
          type: integer
          format: int64
          minimum: 0
        total_cost_usd:
          type:
            - number
            - 'null'
          format: double
        total_tokens:
          type:
            - integer
            - 'null'
          format: int64
    agent-TraceStatus:
      type: string
      enum:
        - ok
        - error
        - unset
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````